summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatt Turner <mattst88@gentoo.org>2022-07-05 08:24:12 -0700
committerMatt Turner <mattst88@gentoo.org>2022-07-05 08:30:42 -0700
commit3e4ce3111c490ed5c5a6d2999ee9fd88ee90e494 (patch)
treee7ce1234cfeaa93b2b91f3c8840fe1dfc618c278
parentsys-kernel/dracut: fix issue with keymaps (diff)
downloadgentoo-3e4ce3111c490ed5c5a6d2999ee9fd88ee90e494.tar.gz
gentoo-3e4ce3111c490ed5c5a6d2999ee9fd88ee90e494.tar.bz2
gentoo-3e4ce3111c490ed5c5a6d2999ee9fd88ee90e494.zip
dev-libs/gjs: Version bump to 1.72.1
Signed-off-by: Matt Turner <mattst88@gentoo.org>
-rw-r--r--dev-libs/gjs/Manifest1
-rw-r--r--dev-libs/gjs/gjs-1.72.1.ebuild67
2 files changed, 68 insertions, 0 deletions
diff --git a/dev-libs/gjs/Manifest b/dev-libs/gjs/Manifest
index b8784c0bd10..7eb0bab9628 100644
--- a/dev-libs/gjs/Manifest
+++ b/dev-libs/gjs/Manifest
@@ -1,2 +1,3 @@
DIST gjs-1.64.5.tar.xz 422548 BLAKE2B dcc0b7327cbc6a1108be031c8807e61ebd3c8392916750078aaa0d82cb3bf9f7ff0e1876c250e5ddf6e9d7bb6a17d9d1fe34c1c77ff534b7ec1dd54fa05a2d1b SHA512 41a3c79888792674b2bccbf254507ed02497eb571c8ca7f47aab406d2ee29b73c98b1c7d59c33ed33bad90c6989df944d78b86d2f7e9824d598b62e29769b6dc
DIST gjs-1.72.0.tar.xz 620296 BLAKE2B 33665e66d548c6017bdc9ddb7409e1a21b07c9257bfa23ef35b58131037eefcf8ec5c8ffddbb1968db374f22729a6da873b85a022a2f3ed00168cba00acc7923 SHA512 224934eed511052d013cc7c2a29ccf79b14e5ed8c01db8071f07858387d7794b9156abd43ac494a13294248d9b6f2956d21c4e9581a41f5161043dff374f72f9
+DIST gjs-1.72.1.tar.xz 620248 BLAKE2B 945b988fdb8c9fc01ec73c8f10b7e5ba9db3ee6dabee65d574b42b7cc9421a0c679f15d565a5e538f6493ed58dc4f9503698b8e3c554704338225d7a748b9594 SHA512 dbceb8651e248ace064d9338d1b3ee1ec0ec835843eb617925b09d77808a71274023d7ad621ed638ff47b93e1fa46e7a349342e555dd6043dc97b81d36bf34e6
diff --git a/dev-libs/gjs/gjs-1.72.1.ebuild b/dev-libs/gjs/gjs-1.72.1.ebuild
new file mode 100644
index 00000000000..7b67fc6ef61
--- /dev/null
+++ b/dev-libs/gjs/gjs-1.72.1.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit flag-o-matic gnome.org meson virtualx
+
+DESCRIPTION="Javascript bindings for GNOME"
+HOMEPAGE="https://wiki.gnome.org/Projects/Gjs https://gitlab.gnome.org/GNOME/gjs"
+
+LICENSE="MIT || ( MPL-1.1 LGPL-2+ GPL-2+ )"
+SLOT="0"
+IUSE="+cairo examples gtk readline sysprof test"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-libs/glib-2.66.0:2
+ dev-libs/libffi:=
+ >=dev-libs/gobject-introspection-1.66.1:=
+ >=dev-lang/spidermonkey-91.3.0:91
+ cairo? ( x11-libs/cairo[X,glib,svg] )
+ readline? ( sys-libs/readline:0= )
+"
+DEPEND="${RDEPEND}
+ sysprof? ( >=dev-util/sysprof-capture-3.40.1:4 )
+ test? (
+ sys-apps/dbus
+ >=x11-libs/gtk+-3.20:3[introspection]
+ )
+"
+BDEPEND="
+ virtual/pkgconfig
+"
+
+src_configure() {
+ append-cppflags -DG_DISABLE_CAST_CHECKS
+
+ # On musl, it's required that either gjs, pixman or gnome-shell to be built
+ # with a larger stack otherwise librsvg fails to render a particular SVG, as
+ # a result we fail to get gdm or gnome-shell running (greeted with a fail
+ # whale screen). The bug has been reported to librsvg. This is ideally just
+ # a temporary workaround until we understand what exactly needs a larger
+ # stack size, as it's not sufficient to do just librsvg.
+ #
+ # Please refer to:
+ # https://gitlab.gnome.org/GNOME/librsvg/-/issues/686
+ # https://gitlab.gnome.org/GNOME/librsvg/-/issues/874
+ #
+ # TODO: Find an actual fix instead of increasing the stack
+ use elibc_musl && append-ldflags -Wl,-z,stack-size=2097152
+
+ # FIXME: add systemtap/dtrace support, like in glib:2
+ local emesonargs=(
+ $(meson_feature cairo)
+ $(meson_feature readline)
+ $(meson_feature sysprof profiler)
+ -Dinstalled_tests=false
+ $(meson_use !test skip_dbus_tests)
+ $(meson_use !test skip_gtk_tests)
+ )
+ meson_src_configure
+}
+
+src_test() {
+ virtx meson_src_test
+}